Subject: ibus 1.5.24, ibus-daemon, X: Abnormal usage of RAM and CPU

From: Luis Felipe <[email-masked]>
Date: Sun, 24 Apr 2022 21:16:14 +0000

SYMPTOMS

• Typing becomes slow, everywhere
• Eventually, you can't type anymore (although cursor remains responsive, and RAM and CPU are not exhausted yet).
• Input methods disappear from the list (e.g. Japanese when Super+Space).
• .ibus-daemon-real shows abnormal use of RAM and CPU (see screenshots).
• X shows abnormal use of RAM (see screenshots)
• ibus-daemon-real disappears from the list of running processes.

Screeshots:

X: https://luis-felipe.gitlab.io/media/2022/04/guix-x-abnormal-resource-usage-2022-02-24.png
ibus-daemon: https://luis-felipe.gitlab.io/media/2022/04/guix-ibus-daemon-abnormal-resource-usage-2022-04-03.png
ibus-daemon and X: https://luis-felipe.gitlab.io/media/2022/04/guix-ibus-daemon-x-abnormal-resource-usage-2022-04-24.png

STEPS TO REPRODUCE

I haven't found reproducers myself (see ADDITIONAL INFORMATION for a possible way to reproduce).

The times I experienced this problem I was typing on Emacs, DrRacket or Inkscape (other daily tools open, though).

WORKAROUND

Restart ibus:

ibus-daemon -dxr

SYSTEM INFORMATION

• ibus 1.5.24
• ibus-anthy 1.5.9
• Inkscape 1.1.1 (3bf5ae0d25, 2021-09-20)
• Guix

Generation 55	Apr 18 2022 11:42:09	(current)
  guix 237d90a
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 237d90a7808cfdced34b34595eba16632cbcb89e

• Guix system

Generation 82	Apr 06 2022 12:04:21
  file name: /var/guix/profiles/system-82-link
  canonical file name: /gnu/store/3w1z24rlg2jbnl63ybxylknz50br13h5-system
  label: GNU with Linux-Libre 5.16.17
  bootloader: grub-efi
  kernel: /gnu/store/0bx2k3qslb9hw9cf52hl9xal39455maa-linux-libre-5.16.17/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: ab98b51ef1304e975da127e3092d01dcc7f02657
  configuration file: /gnu/store/7s2xwvwvsa6nv3mmn6g65vra4mlmlw0w-configuration.scm

ADDITIONAL INFORMATION

Seemingly related bug report against the same version of ibus available in Guix: ibus high cpu usage and possible memory leak #2389 (https://github.com/ibus/ibus/issues/2389).

---
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/